KeeperException.CodeDeprecated (ZooKeeper 3.4.6 API)
Date: 2014-02-20

org.apache.zookeeper

## Interface KeeperException.CodeDeprecated

- All Known Implementing Classes:
    KeeperException.Code
  Enclosing class:
    KeeperException

  Deprecated.

      @Deprecated
      public static interface KeeperException.CodeDeprecated

  This interface contains the original static final int constants which have now been replaced with an enumeration in Code. Do not reference this class directly, if necessary (legacy code) continue to access the constants through Code. Note: an interface is used here due to the fact that enums cannot reference constants defined within the same enum as said constants are considered initialized _after_ the enum itself. By using an interface as a super type this allows the deprecated constants to be initialized first and referenced when constructing the enums. I didn't want to have constants declared twice. This interface should be private, but it's declared public to enable javadoc to include in the user API spec.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APIError` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.APIERROR` instead
    `static int` | `AuthFailed` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.AUTHFAILED` instead
    `static int` | `BadArguments` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.BADARGUMENTS` instead
    `static int` | `BadVersion` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.BADVERSION` instead
    `static int` | `ConnectionLoss` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.CONNECTIONLOSS` instead
    `static int` | `DataInconsistency` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.DATAINCONSISTENCY` instead
    `static int` | `InvalidACL` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.INVALIDACL` instead
    `static int` | `InvalidCallback` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.INVALIDCALLBACK` instead
    `static int` | `MarshallingError` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.MARSHALLINGERROR` instead
    `static int` | `NoAuth` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOAUTH` instead
    `static int` | `NoChildrenForEphemerals` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOCHILDRENFOREPHEMERALS` instead
    `static int` | `NodeExists` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NODEEXISTS` instead
    `static int` | `NoNode` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NONODE` instead
    `static int` | `NotEmpty` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOTEMPTY` instead
    `static int` | `Ok` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.OK` instead
    `static int` | `OperationTimeout` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.OPERATIONTIMEOUT` instead
    `static int` | `RuntimeInconsistency` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.RUNTIMEINCONSISTENCY` instead
    `static int` | `SessionExpired` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.SESSIONEXPIRED` instead
    `static int` | `SystemError` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.SYSTEMERROR` instead
    `static int` | `Unimplemented` Deprecated. deprecated in 3.1.0, use `KeeperException.Code.UNIMPLEMENTED` instead

- - ### Field Detail

    - #### Ok

          @Deprecated
          static final int Ok

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.OK` instead
      See Also:
        Constant Field Values

    - #### SystemError

          @Deprecated
          static final int SystemError

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.SYSTEMERROR` instead
      See Also:
        Constant Field Values

    - #### RuntimeInconsistency

          @Deprecated
          static final int RuntimeInconsistency

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.RUNTIMEINCONSISTENCY` instead
      See Also:
        Constant Field Values

    - #### DataInconsistency

          @Deprecated
          static final int DataInconsistency

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.DATAINCONSISTENCY` instead
      See Also:
        Constant Field Values

    - #### ConnectionLoss

          @Deprecated
          static final int ConnectionLoss

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.CONNECTIONLOSS` instead
      See Also:
        Constant Field Values

    - #### MarshallingError

          @Deprecated
          static final int MarshallingError

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.MARSHALLINGERROR` instead
      See Also:
        Constant Field Values

    - #### Unimplemented

          @Deprecated
          static final int Unimplemented

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.UNIMPLEMENTED` instead
      See Also:
        Constant Field Values

    - #### OperationTimeout

          @Deprecated
          static final int OperationTimeout

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.OPERATIONTIMEOUT` instead
      See Also:
        Constant Field Values

    - #### BadArguments

          @Deprecated
          static final int BadArguments

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.BADARGUMENTS` instead
      See Also:
        Constant Field Values

    - #### APIError

          @Deprecated
          static final int APIError

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.APIERROR` instead
      See Also:
        Constant Field Values

    - #### NoNode

          @Deprecated
          static final int NoNode

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NONODE` instead
      See Also:
        Constant Field Values

    - #### NoAuth

          @Deprecated
          static final int NoAuth

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOAUTH` instead
      See Also:
        Constant Field Values

    - #### BadVersion

          @Deprecated
          static final int BadVersion

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.BADVERSION` instead
      See Also:
        Constant Field Values

    - #### NoChildrenForEphemerals

          @Deprecated
          static final int NoChildrenForEphemerals

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOCHILDRENFOREPHEMERALS` instead
      See Also:
        Constant Field Values

    - #### NodeExists

          @Deprecated
          static final int NodeExists

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NODEEXISTS` instead
      See Also:
        Constant Field Values

    - #### NotEmpty

          @Deprecated
          static final int NotEmpty

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.NOTEMPTY` instead
      See Also:
        Constant Field Values

    - #### SessionExpired

          @Deprecated
          static final int SessionExpired

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.SESSIONEXPIRED` instead
      See Also:
        Constant Field Values

    - #### InvalidCallback

          @Deprecated
          static final int InvalidCallback

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.INVALIDCALLBACK` instead
      See Also:
        Constant Field Values

    - #### InvalidACL

          @Deprecated
          static final int InvalidACL

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.INVALIDACL` instead
      See Also:
        Constant Field Values

    - #### AuthFailed

          @Deprecated
          static final int AuthFailed

      Deprecated. deprecated in 3.1.0, use `KeeperException.Code.AUTHFAILED` instead
      See Also:
        Constant Field Values

Copyright © 2014 The Apache Software Foundation